import {uniRequest} from "@/http/main";
const TEST_URL='http://172.16.100.93:9052'
export default uniRequest.created({
     baseUrl: TEST_URL,
    header: {
        Authorization: uni.getStorageSync('token') ?? ''
    },
    interceptor: {
        request(config){
            uni.showLoading({
                title: '加载中...',
                mask: true
            })
            setTimeout(()=>{
                uni.hideLoading()
            },5000)
            return config
        },
        response(response) {
              uni.hideLoading()
            uni.showToast({
                title: response.data.msg,
                icon: 'none',
                duration: 50000
            })

            return response.data
        }
    }
})
